Get a workspace

View as Markdown
Gets information about a workspace. **Note:** This endpoint's response contains the `visibility` field. [Visibility](https://learning.postman.com/docs/collaborating-in-postman/using-workspaces/managing-workspaces/#changing-workspace-visibility) determines who can access the workspace: - `personal` — Only you can access the workspace. - `team` — All team members can access the workspace. - `private` — Only invited team members can access the workspace ([**Team** and **Enterprise** plans only](https://www.postman.com/pricing)). - `public` — Everyone can access the workspace. - `partner` — Only invited team members and [partners](https://learning.postman.com/docs/collaborating-in-postman/using-workspaces/partner-workspaces/) can access the workspace ([**Team** and **Enterprise** plans only](https://www.postman.com/pricing)).

Authentication

x-api-keystring
API Key authentication via header

Path parameters

workspaceIdstringRequired
The workspace's ID.

Query parameters

includestringOptionalformat: "^(?!.*(?:^|,)(team|scim|mocks:deactivated),(?:.*,)?\1(?:$|,))(team|scim|mocks:deactivated)(,(team|scim|mocks:deactivated))*$"
A comma-separated list of values to include in the endpoint's response: - `scim` — Return the SCIM user IDs of the workspace creator and who last modified it. - `team` — Return the workspace's team ID. Returns a null value if the workspace isn't associated with a team. - `mocks:deactivated` — Include all deactivated mock servers in the response.

Response

Successful Response
workspaceobjectOptional
Information about the workspace.

Errors

401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error